# 170719 jamp pipeline
setwd("~/Documents/UNI_und_VORLESUNGEN/GitHub/JAMP/")

#install.packages(c("bold", "XML", "seqinr"), dependencies=T)
#install.packages("JAMP", repos = NULL, type="source")
#install.packages("~/Desktop/bold-master", repos = NULL, type="source")


library("JAMP") #v0.25
library("bold")
library("XML")
# base directory
setwd("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta HAPLOTYPING/2 JAMP DceM")

#Demultiplexing_shifted(c("../../1 sequence DATA/NG-10942_FW_Haplo_lib_lib154605_5038_1_1.fastq.bz2", "../../1 sequence DATA/NG-10942_FW_Haplo_lib_lib154605_5044_1_1.fastq.bz2"), c("../../1 sequence DATA/NG-10942_FW_Haplo_lib_lib154605_5038_1_2.fastq.bz2", "../../1 sequence DATA/NG-10942_FW_Haplo_lib_lib154605_5044_1_2.fastq.bz2"), tags="../161203_fwh.csv", combinations="../haplo_filenames.csv")

# Delete everything not DceM from folder!


U_merge_PE() # merge PE

fw <- c(rep("YTCHACWAAYCAYAARGAYATYGG", 2))
rw <- c(rep("ARTCARTTWCCRAAHCCHCC", 2))

Cutadapt(forward=fw, reverse=rw)

Minmax(min=c(178), max=c(178))

U_max_ee(max_ee=0.05, fastq=T)

U_fastq_2_fasta()


# RUN DENOISING #G_Denoise

# different ee filtering (20170822)
files <- list.files("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta HAPLOTYPING/2 JAMP DceM/D_Minmax/_data", full.names=T)
U_subset(files, sample_size=1000000)

for (i in c(2, 1, 0.5, 0.2, 0.1, 0.05, 0.02)){
U_max_ee(files, max_ee=i, fastq=T)
U_subset(sample_size=1000000)
}


setwd("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta HAPLOTYPING/2 JAMP DceM")

files <- list.files("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta HAPLOTYPING/2 JAMP DceM/R_dif_ee_filtering/_data", full.names=T)[c(5,13)]


for(i in 2:10){
Denoise(files, unoise_alpha=i, minhaplosize=0)
}













